#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	GeoIP
Version		:	1.6.12
Release		:	16.2.0.rel%{?dist}

Summary		:	Library for country/city/organization to IP address or hostname mapping

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL-2.1-or-later
URL		:	https://github.com/maxmind/geoip-api-c
			#http://www.maxmind.com/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	coreutils
BuildRequires	:	gcc
BuildRequires	:	make
BuildRequires	:	sed
BuildRequires	:	zlib-devel

Requires	:	GeoIP-database

#-----------------------------------------------------------------------------
%description
GeoIP is a C library that enables the
user to find the country that any IP
address or hostname originates from.
 
It uses file based databases that can
optionally be updated on a weekly basis
by installing the geoipupdate-cron (IPv4)
 and/or geoipupdate-cron6 (IPv6) packages.
 
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS.md README.md
%license COPYING LICENSE
%{_bindir}/geoiplookup
%{_bindir}/geoiplookup6
%{_libdir}/lib%{name}.so.1
%{_libdir}/lib%{name}.so.1.*
%{_mandir}/man1/geoiplookup.1.gz
%{_mandir}/man1/geoiplookup6.1.gz

#============================================================================
%package		devel
Summary		:	Development headers and libraries for GeoIP

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

Requires	:	GeoIP-database-extra

#-----------------------------------------------------------------------------
%description		devel
Development headers and static libraries for
building GeoIP-based applications.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_includedir}/%{name}City.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/geoip.pc

#============================================================================
%package		database
Summary		:	GeoIP legacy country database

#-----------------------------------------------------------------------------
Buildarch	:	noarch

#-----------------------------------------------------------------------------
%description		database
GeoIP legacy country database (based on
GeoLite2 data created by MaxMind)

#-----------------------------------------------------------------------------
%files			database
%defattr(-,root,root,-)
%license %{name}-ok_addon/GeoLite2-End-User-License-Agreement.pdf
%{_datadir}/%{name}/%{name}.dat
%{_datadir}/%{name}/%{name}v6.dat

#============================================================================
%package		database-extra
Summary		:	GeoIP legacy city/ASN databases 

#-----------------------------------------------------------------------------
Buildarch	:	noarch

#-----------------------------------------------------------------------------
%description		database-extra
GeoIP legacy city/ASN databases (based on GeoLite2 data created by MaxMind)

#-----------------------------------------------------------------------------
%files			database-extra
%defattr(-,root,root,-)
%license %{name}-ok_addon/GeoLite2-End-User-License-Agreement.pdf
%{_datadir}/%{name}/%{name}City{,v6}.dat
%{_datadir}/%{name}/%{name}ASNum{,v6}.dat
%{_datadir}/%{name}/%{name}Org.dat
%{_datadir}/%{name}/%{name}ISP.dat

#=============================================================================
%prep
%setup -q
tar xvf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--datadir=%{_datadir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--disable-dependency-tracking			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

pushd %{name}-ok_addon > /dev/null
gunzip *.gz
popd 

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
LD_LIBRARY_PATH=%{buildroot}%{_libdir} make check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

install -Dm644 -t %{buildroot}%{_datadir}/%{name}	\
	%{name}-ok_addon/%{name}{,v6}.dat 		\
	%{name}-ok_addon/%{name}City{,v6}.dat		\
	%{name}-ok_addon/%{name}ASNum{,v6}.dat		\
	%{name}-ok_addon/%{name}Org.dat			\
	%{name}-ok_addon/%{name}ISP.dat

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
